---
title: HTMLElement.contentEditable
slug: Web/API/HTMLElement/contentEditable
tags:
  - API
  - HTML DOM
  - HTMLElement
  - Property
  - Reference
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The <strong><code>contentEditable</code></strong> property of the {{domxref("HTMLElement")}} interface specifies whether or not the element is editable.</span> This enumerated attribute can have the following values:</p>

<ul>
 <li>'<code>true</code>' indicates that the element is <code>contenteditable</code>.</li>
 <li>'<code>false</code>' indicates that the element cannot be edited.</li>
 <li>'<code>inherit</code>' indicates that the element inherits its parent's editable status.</li>
</ul>

<p>You can use the {{domxref("HTMLElement.isContentEditable")}} property to test the computed {{jsxref("Boolean")}} value of this property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>editable</var> = <var>element</var>.contentEditable
<var>element</var>.contentEditable = 'true'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'interaction.html#contenteditable', 'contenteditable')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.contentEditable")}}</p>

<p>In Internet Explorer, <code>contenteditable</code> cannot be applied to the {{htmlelement("table")}}, {{htmlelement("col")}}, {{htmlelement("colgroup")}}, {{htmlelement("tbody")}}, {{htmlelement("td")}}, {{htmlelement("tfoot")}}, {{htmlelement("th")}}, {{htmlelement("thead")}}, and {{htmlelement("tr")}} elements directly. A content editable {{htmlelement("span")}} or {{htmlelement("div")}} element can be placed inside the individual table cells.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/HTML/Editable_content">Making content editable</a></li>
 <li>{{domxref("HTMLElement.isContentEditable")}}</li>
 <li>The {{htmlattrxref("contenteditable")}} global attribute.</li>
</ul>
